ทํางานร่วมกับผู้เข้าร่วม

คู่มือนี้อธิบายวิธีดูรายละเอียดเกี่ยวกับผู้เข้าร่วมที่เข้าร่วมการประชุมในอดีตหรือผู้ที่เข้าร่วมการประชุมที่ใช้งานอยู่ รวมถึงข้อมูลเซสชันของผู้เข้าร่วม โดยใช้ Google Meet REST API

ผู้เข้าร่วมคือบุคคลที่ เข้าร่วมการโทรหรือใช้โหมดแยกหน้าจอประชุม ดูในฐานะผู้ชม หรือ อุปกรณ์ในห้องประชุมที่เชื่อมต่อกับการโทร โดยจะมีทรัพยากร participants 1 รายการสำหรับแต่ละบุคคล

เซสชันของผู้เข้าร่วม คือรหัสเซสชันที่ไม่ซ้ำกันซึ่งสร้างขึ้นสำหรับผู้เข้าร่วมแต่ละรายที่เข้าร่วม การโทร โดยจะมีทรัพยากร participantSessions 1 รายการสำหรับแต่ละเซสชัน หากผู้เข้าร่วมเข้าร่วมการโทรเดียวกันหลายครั้งจากผู้เข้าร่วมรายเดียวกัน ระบบจะกำหนดรหัสเซสชันที่ไม่ซ้ำกันให้กับผู้เข้าร่วมแต่ละราย

หากคุณเป็นเจ้าของหรือผู้เข้าร่วมพื้นที่การประชุม คุณสามารถเรียกใช้เมธอด get และ list ในทรัพยากร participants และ participantSessions เพื่อดึงข้อมูลบันทึกของผู้เข้าร่วม

การตรวจสอบสิทธิ์และการให้สิทธิ์ด้วยข้อมูลเข้าสู่ระบบของผู้ใช้จะช่วยให้แอป Google Meet เข้าถึงข้อมูลผู้ใช้และดำเนินการในนามของผู้ใช้ที่ผ่านการตรวจสอบสิทธิ์ได้ การตรวจสอบสิทธิ์ด้วยการมอบสิทธิ์ ทั่วทั้งโดเมน ช่วยให้คุณให้สิทธิ์บัญชีบริการของแอปพลิเคชันเพื่อเข้าถึงข้อมูลผู้ใช้ โดยไม่ต้องขอความยินยอมจากผู้ใช้แต่ละคน

ผู้เข้าร่วม

ส่วนต่อไปนี้จะอธิบายรายละเอียดเกี่ยวกับวิธีดูข้อมูลเกี่ยวกับผู้เข้าร่วมในบันทึกการประชุม

ทรัพยากร participants จะรวมกับช่อง user user จะเป็นออบเจ็กต์ใดออบเจ็กต์หนึ่งต่อไปนี้เท่านั้น

  • A signedinUser จะเป็นอย่างใดอย่างหนึ่งต่อไปนี้

    • บุคคลที่เข้าร่วมจากคอมพิวเตอร์ส่วนบุคคล อุปกรณ์เคลื่อนที่ หรือผ่านโหมดแยกหน้าจอประชุม

    • บัญชีบ็อตที่อุปกรณ์ในห้องประชุมใช้

  • An anonymousUser คือผู้ใช้ที่ไม่ระบุตัวตนซึ่งไม่ได้ลงชื่อเข้าใช้บัญชี Google

  • A phoneUser คือผู้ใช้ที่โทรเข้าจากโทรศัพท์ซึ่งไม่ทราบตัวตนของผู้ใช้ เนื่องจากผู้ใช้ไม่ได้ลงชื่อเข้าใช้ด้วยบัญชี Google

โปรดทราบว่าแม้ว่าออบเจ็กต์ทั้ง 3 รายการจะแสดงผล displayName แต่ signedinUser จะแสดงผลรหัส user ที่ไม่ซ้ำกันซึ่งทำงานร่วมกับ Admin SDK API และ People API ได้ด้วย รูปแบบ: users/{user} ดูข้อมูลเพิ่มเติมเกี่ยวกับการใช้รหัส user ID กับ People API ได้ที่หัวข้อดึงข้อมูลรายละเอียดของผู้เข้าร่วมด้วย People API

ดูรายละเอียดเกี่ยวกับผู้เข้าร่วม

หากต้องการดูรายละเอียดเกี่ยวกับผู้เข้าร่วมที่เฉพาะเจาะจง ให้ใช้ get เมธอดใน participants ทรัพยากร ตั้งค่าพารามิเตอร์เส้นทาง name โดยใช้รูปแบบ conferenceRecords/{conferenceRecord}/participants/{participantRecord}

หากไม่ทราบชื่อผู้เข้าร่วม คุณสามารถ แสดงรายการชื่อผู้เข้าร่วม ทั้งหมดได้โดยใช้เมธอด list

เมธอดจะแสดงผลข้อมูลผู้เข้าร่วมเป็นอินสแตนซ์ของทรัพยากร participants

ตัวอย่างโค้ดต่อไปนี้แสดงวิธีดึงข้อมูลผู้เข้าร่วมที่เฉพาะเจาะจง

Java

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/getparticipant/AsyncGetParticipant.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.GetParticipantRequest;
import com.google.apps.meet.v2.Participant;
import com.google.apps.meet.v2.ParticipantName;

public class AsyncGetParticipant {

  public static void main(String[] args) throws Exception {
    asyncGetParticipant();
  }

  public static void asyncGetParticipant() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      GetParticipantRequest request =
          GetParticipantRequest.newBuilder()
              .setName(ParticipantName.of("[CONFERENCE_RECORD]", "[PARTICIPANT]").toString())
              .build();
      ApiFuture<Participant> future =
          conferenceRecordsServiceClient.getParticipantCallable().futureCall(request);
      // Do something.
      Participant response = future.get();
    }
  }
}

Node.js

packages/google-apps-meet/samples/generated/v2/conference_records_service.get_participant.js
/**
 * This snippet has been automatically generated and should be regarded as a code template only.
 * It will require modifications to work.
 * It may require correct/in-range values for request initialization.
 * TODO(developer): Uncomment these variables before running the sample.
 */
/**
 *  Required. Resource name of the participant.
 */
// const name = 'abc123'

// Imports the Meet library
const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

// Instantiates a client
const meetClient = new ConferenceRecordsServiceClient();

async function callGetParticipant() {
  // Construct request
  const request = {
    name,
  };

  // Run request
  const response = await meetClient.getParticipant(request);
  console.log(response);
}

callGetParticipant();

Python

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_get_participant_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_get_participant():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.GetParticipantRequest(
        name="name_value",
    )

    # Make the request
    response = await client.get_participant(request=request)

    # Handle the response
    print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords/CONFERENCE_RECORD_NAME/participants/PARTICIPANT_NAME" \
-H "Authorization: Bearer ACCESS_TOKEN"

แทนที่ ACCESS_TOKEN ด้วยโทเค็นเพื่อการเข้าถึงที่ให้สิทธิ์เข้าถึง API

แทนที่ค่าต่อไปนี้

  • ชื่อบันทึกการประชุมด้วยชื่อรหัสการประชุมที่เฉพาะเจาะจงในบันทึกการประชุม
  • ชื่อผู้เข้าร่วมด้วยชื่อรหัสผู้เข้าร่วมที่เฉพาะเจาะจงในบันทึกการประชุม

แสดงรายการผู้เข้าร่วมทั้งหมด

หากต้องการแสดงรายละเอียดเกี่ยวกับผู้เข้าร่วมทั้งหมดในบันทึกการประชุม ให้ใช้ list เมธอดใน participants ทรัพยากร ตั้งค่าพารามิเตอร์เส้นทาง parent โดยใช้รูปแบบ conferenceRecords/{conferenceRecord}

เมธอดจะแสดงรายการผู้เข้าร่วมการประชุมที่เรียงตาม earliestStartTime จากมากไปน้อยเป็นอินสแตนซ์ของทรัพยากร participants หากต้องการปรับขนาดหน้าและกรองผลการค้นหา โปรดดูหัวข้อ ปรับแต่ง การแบ่งหน้าหรือกรองรายการผู้เข้าร่วม

ตัวอย่างโค้ดต่อไปนี้แสดงวิธีแสดงรายการผู้เข้าร่วมทั้งหมดในบันทึกการประชุม

Java

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/listparticipants/AsyncListParticipants.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecordName;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.ListParticipantsRequest;
import com.google.apps.meet.v2.Participant;

public class AsyncListParticipants {

  public static void main(String[] args) throws Exception {
    asyncListParticipants();
  }

  public static void asyncListParticipants() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      ListParticipantsRequest request =
          ListParticipantsRequest.newBuilder()
              .setParent(ConferenceRecordName.of("[CONFERENCE_RECORD]").toString())
              .setPageSize(883849137)
              .setPageToken("pageToken873572522")
              .setFilter("filter-1274492040")
              .build();
      ApiFuture<Participant> future =
          conferenceRecordsServiceClient.listParticipantsPagedCallable().futureCall(request);
      // Do something.
      for (Participant element : future.get().iterateAll()) {
        // doThingsWith(element);
      }
    }
  }
}

Node.js

packages/google-apps-meet/samples/generated/v2/conference_records_service.list_participants.js
/**
 * This snippet has been automatically generated and should be regarded as a code template only.
 * It will require modifications to work.
 * It may require correct/in-range values for request initialization.
 * TODO(developer): Uncomment these variables before running the sample.
 */
/**
 *  Required. Format: `conferenceRecords/{conference_record}`
 */
// const parent = 'abc123'
/**
 *  Maximum number of participants to return. The service might return fewer
 *  than this value.
 *  If unspecified, at most 100 participants are returned.
 *  The maximum value is 250; values above 250 are coerced to 250.
 *  Maximum might change in the future.
 */
// const pageSize = 1234
/**
 *  Page token returned from previous List Call.
 */
// const pageToken = 'abc123'
/**
 *  Optional. User specified filtering condition in EBNF
 *  format (https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form).
 *  The following are the filterable fields:
 *  * `earliest_start_time`
 *  * `latest_end_time`
 *  For example, `latest_end_time IS NULL` returns active participants in
 *  the conference.
 */
// const filter = 'abc123'

// Imports the Meet library
const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

// Instantiates a client
const meetClient = new ConferenceRecordsServiceClient();

async function callListParticipants() {
  // Construct request
  const request = {
    parent,
  };

  // Run request
  const iterable = meetClient.listParticipantsAsync(request);
  for await (const response of iterable) {
      console.log(response);
  }
}

callListParticipants();

Python

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_list_participants_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_list_participants():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.ListParticipantsRequest(
        parent="parent_value",
    )

    # Make the request
    page_result = client.list_participants(request=request)

    # Handle the response
    async for response in page_result:
        print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords/PARENT_NAME/participants" \
-H "Authorization: Bearer ACCESS_TOKEN"

แทนที่ ACCESS_TOKEN ด้วยโทเค็นเพื่อการเข้าถึงที่ให้สิทธิ์เข้าถึง API

แทนที่ชื่อระดับบนด้วยชื่อรหัสการประชุมที่เฉพาะเจาะจงในบันทึกการประชุม

ปรับแต่งการแบ่งหน้าหรือกรองรายการผู้เข้าร่วม

ส่งพารามิเตอร์การค้นหาต่อไปนี้เพื่อปรับแต่งการแบ่งหน้าหรือกรองผู้เข้าร่วม

  • pageSize: จำนวนผู้เข้าร่วมสูงสุดที่จะแสดงผล บริการอาจแสดงผลน้อยกว่าค่านี้ หากไม่ได้ระบุ ระบบจะแสดงผลผู้เข้าร่วมไม่เกิน 100 ราย ค่าสูงสุดคือ 250 โดยระบบจะเปลี่ยนค่าที่มากกว่า 250 เป็น 250 โดยอัตโนมัติ

  • pageToken: โทเค็นหน้าเว็บที่ได้รับจากการเรียกรายการก่อนหน้า ระบุโทเค็นนี้เพื่อดึงข้อมูลหน้าถัดไป

  • filter: ไม่บังคับ ตัวกรองการค้นหาเพื่อดึงข้อมูลรายการที่เฉพาะเจาะจงในผลลัพธ์ของทรัพยากร participants

    คุณสามารถใช้ช่อง earliestStartTime หรือ latestEndTime เพื่อกรองหาผู้ใช้ที่เข้าร่วมก่อนหรือออกจากระบบหลังเวลาที่กำหนด ทั้ง 2 ช่องใช้ รูปแบบการประทับเวลา ใน RFC 3339 UTC "Zulu" โดยมีความละเอียดระดับนาโนวินาทีและมีตัวเลขเศษส่วนได้สูงสุด 9 หลัก: {year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z. เช่น

    • earliestStartTime < 2023-10-01T15:01:23Z
    • latestEndTime < 2023-10-01T15:01:23Z

    หากต้องการแสดงรายการผู้เข้าร่วมที่ใช้งานอยู่ทั้งหมดในการประชุมที่มีอยู่ ให้ใช้ latestEndTime IS NULL

ดึงข้อมูลรายละเอียดของผู้เข้าร่วมด้วย People API

หากต้องการดึงข้อมูลรายละเอียดเกี่ยวกับผู้เข้าร่วม ให้ใช้เมธอด get ในทรัพยากร people ใน People API

  1. แยกข้อมูลรหัสของบุคคลออกจากทรัพยากร participant โดยใช้คอมโพเนนต์ส่วนท้ายของเส้นทาง เช่น หากค่าทรัพยากร participant คือ conferenceRecords/abc-123/participants/12345 รหัสสำหรับ People API คือ 12345

  2. รวม READ_SOURCE_TYPE_PROFILE, READ_SOURCE_TYPE_CONTACT และ READ_SOURCE_TYPE_OTHER_CONTACT ReadSourceType ซึ่งจะช่วยให้มั่นใจได้ว่าทั้งผู้ใช้ภายในขององค์กร Google Workspace และรายชื่อติดต่อภายนอกจะรวมอยู่ในคำตอบ

ตัวอย่างโค้ดต่อไปนี้แสดงวิธีค้นหาทั้งโปรไฟล์ขององค์กรและรายชื่อติดต่อของบุคคล

cURL

curl \
   'https://people.googleapis.com/v1/people/PERSON_ID?personFields=names%2CemailAddresses&sources=READ_SOURCE_TYPE_OTHER_CONTACT&sources=READ_SOURCE_TYPE_PROFILE&sources=READ_SOURCE_TYPE_CONTACT' \
   --header 'Authorization: Bearer ACCESS_TOKEN' \
   --header 'Accept: application/json' \
   --compressed

แทนที่ค่าต่อไปนี้

  • PERSON_ID: รหัสของบุคคลที่จะค้นหา
  • ACCESS_TOKEN: โทเค็นเพื่อการเข้าถึงที่ให้สิทธิ์เข้าถึง API หลายรายการ

เซสชันของผู้เข้าร่วม

ส่วนต่อไปนี้จะอธิบายรายละเอียดเกี่ยวกับวิธีดูข้อมูลเกี่ยวกับเซสชันของผู้เข้าร่วมในบันทึกการประชุม

ดูรายละเอียดเกี่ยวกับเซสชันของผู้เข้าร่วม

หากต้องการดูรายละเอียดเกี่ยวกับเซสชันของผู้เข้าร่วมที่เฉพาะเจาะจง ให้ใช้ get เมธอดใน participantSessions ทรัพยากร ตั้งค่าพารามิเตอร์เส้นทาง name โดยใช้รูปแบบ conferenceRecords/{conferenceRecord}/participants/{participantRecord}/participantSessions/{participantSessionRecord}

หากไม่ทราบชื่อเซสชันของผู้เข้าร่วม คุณสามารถ แสดงรายการเซสชันของผู้เข้าร่วมทั้งหมดได้โดยใช้เมธอด list

เมธอดจะแสดงผลชื่อผู้เข้าร่วมเป็นอินสแตนซ์ของทรัพยากร participantSessions

ตัวอย่างโค้ดต่อไปนี้แสดงวิธีดึงข้อมูลเซสชันของผู้เข้าร่วมที่เฉพาะเจาะจง

Java

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/getparticipantsession/AsyncGetParticipantSession.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.GetParticipantSessionRequest;
import com.google.apps.meet.v2.ParticipantSession;
import com.google.apps.meet.v2.ParticipantSessionName;

public class AsyncGetParticipantSession {

  public static void main(String[] args) throws Exception {
    asyncGetParticipantSession();
  }

  public static void asyncGetParticipantSession() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      GetParticipantSessionRequest request =
          GetParticipantSessionRequest.newBuilder()
              .setName(
                  ParticipantSessionName.of(
                          "[CONFERENCE_RECORD]", "[PARTICIPANT]", "[PARTICIPANT_SESSION]")
                      .toString())
              .build();
      ApiFuture<ParticipantSession> future =
          conferenceRecordsServiceClient.getParticipantSessionCallable().futureCall(request);
      // Do something.
      ParticipantSession response = future.get();
    }
  }
}

Node.js

packages/google-apps-meet/samples/generated/v2/conference_records_service.get_participant_session.js
/**
 * This snippet has been automatically generated and should be regarded as a code template only.
 * It will require modifications to work.
 * It may require correct/in-range values for request initialization.
 * TODO(developer): Uncomment these variables before running the sample.
 */
/**
 *  Required. Resource name of the participant.
 */
// const name = 'abc123'

// Imports the Meet library
const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

// Instantiates a client
const meetClient = new ConferenceRecordsServiceClient();

async function callGetParticipantSession() {
  // Construct request
  const request = {
    name,
  };

  // Run request
  const response = await meetClient.getParticipantSession(request);
  console.log(response);
}

callGetParticipantSession();

Python

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_get_participant_session_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_get_participant_session():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.GetParticipantSessionRequest(
        name="name_value",
    )

    # Make the request
    response = await client.get_participant_session(request=request)

    # Handle the response
    print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords/CONFERENCE_RECORD_NAME/participants/PARTICIPANT_NAME/participantSessions/PARTICIPANT_SESSION_ID" \
-H "Authorization: Bearer ACCESS_TOKEN"

แทนที่ ACCESS_TOKEN ด้วยโทเค็นเพื่อการเข้าถึงที่ให้สิทธิ์เข้าถึง API

แทนที่ค่าต่อไปนี้

  • ชื่อบันทึกการประชุมด้วยชื่อรหัสการประชุมที่เฉพาะเจาะจงในบันทึกการประชุม
  • ชื่อผู้เข้าร่วมด้วยชื่อรหัสผู้เข้าร่วมที่เฉพาะเจาะจงในบันทึกการประชุม
  • รหัสเซสชันของผู้เข้าร่วมด้วยรหัสของเซสชันของผู้เข้าร่วมที่เฉพาะเจาะจง

แสดงรายการเซสชันของผู้เข้าร่วมทั้งหมด

หากต้องการแสดงรายละเอียดเกี่ยวกับเซสชันของผู้เข้าร่วมทั้งหมดในบันทึกการประชุม ให้ใช้ list() เมธอดใน participantSessions ทรัพยากร ตั้งค่าพารามิเตอร์เส้นทาง parent โดยใช้รูปแบบ conferenceRecords/{conferenceRecord}/participants/{participantRecord}

เมธอดจะแสดงรายการเซสชันของผู้เข้าร่วมที่เรียงตาม startTime จากมากไปน้อยเป็นอินสแตนซ์ของทรัพยากร participantSession หากต้องการปรับ ขนาดหน้าและกรองผลการค้นหา โปรดดูหัวข้อปรับแต่งการแบ่งหน้าหรือกรอง รายการเซสชันของผู้เข้าร่วม

ตัวอย่างโค้ดต่อไปนี้แสดงวิธีแสดงรายการเซสชันของผู้เข้าร่วมทั้งหมดในบันทึกการประชุม

Java

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/listparticipantsessions/AsyncListParticipantSessions.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.ListParticipantSessionsRequest;
import com.google.apps.meet.v2.ParticipantName;
import com.google.apps.meet.v2.ParticipantSession;

public class AsyncListParticipantSessions {

  public static void main(String[] args) throws Exception {
    asyncListParticipantSessions();
  }

  public static void asyncListParticipantSessions() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      ListParticipantSessionsRequest request =
          ListParticipantSessionsRequest.newBuilder()
              .setParent(ParticipantName.of("[CONFERENCE_RECORD]", "[PARTICIPANT]").toString())
              .setPageSize(883849137)
              .setPageToken("pageToken873572522")
              .setFilter("filter-1274492040")
              .build();
      ApiFuture<ParticipantSession> future =
          conferenceRecordsServiceClient.listParticipantSessionsPagedCallable().futureCall(request);
      // Do something.
      for (ParticipantSession element : future.get().iterateAll()) {
        // doThingsWith(element);
      }
    }
  }
}

Node.js

packages/google-apps-meet/samples/generated/v2/conference_records_service.list_participant_sessions.js
// Copyright 2026 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//
// ** This file is automatically generated by gapic-generator-typescript. **
// ** https://github.com/googleapis/gapic-generator-typescript **
// ** All changes to this file may be overwritten. **



'use strict';

function main(parent) {
  /**
   * This snippet has been automatically generated and should be regarded as a code template only.
   * It will require modifications to work.
   * It may require correct/in-range values for request initialization.
   * TODO(developer): Uncomment these variables before running the sample.
   */
  /**
   *  Required. Format:
   *  `conferenceRecords/{conference_record}/participants/{participant}`
   */
  // const parent = 'abc123'
  /**
   *  Optional. Maximum number of participant sessions to return. The service
   *  might return fewer than this value. If unspecified, at most 100
   *  participants are returned. The maximum value is 250; values above 250 are
   *  coerced to 250. Maximum might change in the future.
   */
  // const pageSize = 1234
  /**
   *  Optional. Page token returned from previous List Call.
   */
  // const pageToken = 'abc123'
  /**
   *  Optional. User specified filtering condition in EBNF
   *  format (https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form).
   *  The following are the filterable fields:
   *  * `start_time`
   *  * `end_time`
   *  For example, `end_time IS NULL` returns active participant sessions in
   *  the conference record.
   */
  // const filter = 'abc123'

  // Imports the Meet library
  const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

  // Instantiates a client
  const meetClient = new ConferenceRecordsServiceClient();

  async function callListParticipantSessions() {
    // Construct request
    const request = {
      parent,
    };

    // Run request
    const iterable = meetClient.listParticipantSessionsAsync(request);
    for await (const response of iterable) {
        console.log(response);
    }
  }

  callListParticipantSessions();
}

process.on('unhandledRejection', err => {
  console.error(err.message);
  process.exitCode = 1;
});
main(...process.argv.slice(2));

Python

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_list_participant_sessions_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_list_participant_sessions():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.ListParticipantSessionsRequest(
        parent="parent_value",
    )

    # Make the request
    page_result = client.list_participant_sessions(request=request)

    # Handle the response
    async for response in page_result:
        print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords/CONFERENCE_RECORD_NAME/participants/PARENT_NAME/participantSessions" \
-H "Authorization: Bearer ACCESS_TOKEN"

แทนที่ ACCESS_TOKEN ด้วยโทเค็นเพื่อการเข้าถึงที่ให้สิทธิ์เข้าถึง API

แทนที่ค่าต่อไปนี้

  • ชื่อบันทึกการประชุมด้วยชื่อรหัสการประชุมที่เฉพาะเจาะจงในบันทึกการประชุม
  • ชื่อระดับบนด้วยชื่อเซสชันของผู้เข้าร่วมในบันทึกการประชุม

ปรับแต่งการแบ่งหน้าหรือกรองรายการเซสชันของผู้เข้าร่วม

ส่งพารามิเตอร์การค้นหาที่ไม่บังคับต่อไปนี้เพื่อปรับแต่งการแบ่งหน้าหรือกรองเซสชันของผู้เข้าร่วม

  • pageSize: จำนวนเซสชันของผู้เข้าร่วมสูงสุดที่จะแสดงผล บริการอาจแสดงผลน้อยกว่าค่านี้ หากไม่ได้ระบุ ระบบจะแสดงผลเซสชันของผู้เข้าร่วมไม่เกิน 100 รายการ ค่าสูงสุดคือ 250 โดยระบบจะเปลี่ยนค่าที่มากกว่า 250 เป็น 250 โดยอัตโนมัติ

  • pageToken: โทเค็นหน้าเว็บที่ได้รับจากการเรียกรายการก่อนหน้า ระบุโทเค็นนี้เพื่อดึงข้อมูลหน้าถัดไป

  • filter: ไม่บังคับ ตัวกรองการค้นหาเพื่อดึงข้อมูลรายการที่เฉพาะเจาะจงในผลลัพธ์ของทรัพยากร participants

    คุณสามารถใช้ช่อง startTime หรือ endTime เพื่อกรองหาผู้ใช้ที่เข้าร่วมก่อนหรือออกจากระบบหลังเวลาที่กำหนด ทั้ง 2 ช่องใช้ รูปแบบการประทับเวลา ใน RFC 3339 UTC "Zulu" โดยมีความละเอียดระดับนาโนวินาทีและมีตัวเลขเศษส่วนได้สูงสุด 9 หลัก: {year}-{month}-{day}T{hour}:{min}:{sec}[.{frac_sec}]Z. เช่น

    • startTime < 2023-10-01T15:01:23Z
    • endTime < 2023-10-01T15:01:23Z

    หากต้องการแสดงรายการเซสชันของผู้เข้าร่วมที่ใช้งานอยู่ทั้งหมดในบันทึกการประชุม ให้ใช้ endTime IS NULL.